.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the SplitContainer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_SplitContainer:

SplitContainer
==============

**Inherits:** :ref:`Container<class_container>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`HSplitContainer<class_hsplitcontainer>`, :ref:`VSplitContainer<class_vsplitcontainer>`

**Category:** Core

Brief Description
-----------------

Container for splitting and adjusting.

Signals
-------

.. _class_SplitContainer_dragged:

- **dragged** **(** :ref:`int<class_int>` offset **)**

Emitted when the dragger is dragged by user.


Member Variables
----------------

  .. _class_SplitContainer_collapsed:

- :ref:`bool<class_bool>` **collapsed**

  .. _class_SplitContainer_dragger_visibility:

- :ref:`DraggerVisibility<enum_splitcontainer_draggervisibility>` **dragger_visibility**

  .. _class_SplitContainer_split_offset:

- :ref:`int<class_int>` **split_offset**


Enums
-----

  .. _enum_SplitContainer_DraggerVisibility:

enum **DraggerVisibility**

- **DRAGGER_VISIBLE** = **0** --- The split dragger is visible.
- **DRAGGER_HIDDEN** = **1** --- The split dragger is invisible.
- **DRAGGER_HIDDEN_COLLAPSED** = **2** --- The split dragger is invisible and collapsed.


Description
-----------

Container for splitting two controls vertically or horizontally, with a grabber that allows adjusting the split offset or ratio.

